1. Non Secure Payment
Sipay API Documentation
  • Overview
    • Getting Started
    • Status Codes
    • PreAuthorization / Authorization
    • Webhook
  • Authentication
    • Generating Token
      POST
  • Installments
    • Getting Installment Information
      POST
    • Installments
      POST
  • Commissions
    • Commission
      POST
  • Non Secure Payment
    • Non-Secure Payment Flow
    • Non-Secure Credit Card Payment
      POST
    • Non-Secure Recurring Payment
      POST
    • Non-Secure Insurance Payment
      POST
    • Non-Secure PreAuthorization Payment
      POST
  • 3D Secure Payment
    • 3D Secure Payment Flow
    • 3D Secure Credit Card Payment
      POST
    • 3D Secure Recurring Payment
      POST
    • 3D Secure PreAuthorization Payment
      POST
    • 3D Secure PreAuthorization Payment APP
      POST
    • 3D Secure Agriculture Payment
      POST
  • Payment
    • CheckStatus
      POST
    • ConfirmPayment
      POST
    • CompletePayment
      POST
    • Non-Secure and 3D Payment with Sipay
      POST
    • Refund
      POST
  • Cards
    • Card Registration
    • Pay by Card Token
    • Retrieving Saved Card
    • Edit Saved Card
    • Delete Saved Card
    • NonSecure Payment with Hidden Card
  • HASH
    • Hash Information
  • Recurring
    • Recurring Query Search
    • Recurring Plan Process
    • Recurring Plan Update
  • Cashout
    • Cashout to bank
  • Report
    • Settlement API
  1. Non Secure Payment

Non-Secure Recurring Payment

Testing
Testing Env
https://provisioning.sipay.com.tr
Testing Env
https://provisioning.sipay.com.tr
POST
/ccpayment/api/paySmart2D

order_type#

Required
Type: integer
Determines the type of the order.
If order_type = 1, the payment will be processed as a recurring payment.#
In this case, the following parameters must not be empty:
recurring_payment_number
recurring_payment_cycle
recurring_payment_interval

recurring_payment_number#

Required
Type: integer
Defines the total number of recurring payments.
For example:
if the initial amount is 100 USD and recurring_payment_number = 5,
the total amount will be processed as 100 USD × 5 = 500 USD.
Additional transaction fees may apply for each installment.

recurring_payment_cycle#

Required
Type: string
Specifies the unit type of the recurring interval.
Possible values:
D → Day
M → Month
Y → Year

recurring_payment_interval#

Required
Type: string
Defines the frequency of the recurring payment based on the selected cycle.
For example:
If recurring_payment_cycle = M and recurring_payment_interval = 1 → payment is charged every month.

recurring_web_hook_key#

Required
Type: string
A key used to receive notifications about recurring payment status on your system.
This key can be obtained from your Sipay panel.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

🟠400Bad Request
⚪113Failed
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://provisioning.sipay.com.tr/ccpayment/api/paySmart2D' \
--header 'merchant_key: $2y$10$HmRgYosneqcwHj.UH7upGuyCZqpQ1ITgSMj9Vvxn.t6f.Vdf2SQFO' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '[
    {
        "cc_holder_name": "John Doe",
        "cc_no": "string",
        "expiry_month": 0,
        "expiry_year": 0,
        "cvv": 0,
        "currency_code": "string",
        "installments_number": 0,
        "invoice_id": 0,
        "invoice_description": "string",
        "name": "string",
        "surname": "string",
        "total": 0,
        "merchant_key": "string",
        "hash_key": "string",
        "items": "string",
        "cancel_url": "string",
        "return_url": "string",
        "bill_address1": "string",
        "bill_address2": "string",
        "bill_city": "string",
        "bill_postcode": "string",
        "bill_state": "string",
        "bill_country": "string",
        "bill_email": "string",
        "bill_phone": "string",
        "ip": "string",
        "app_lang": "string",
        "order_type": 0,
        "recurring_payment_number": 0,
        "recurring_payment_cycle": "string",
        "recurring_payment_interval": "string",
        "recurring_web_hook_key": "string"
    }
]'
Response Response Example
200 - Success
{
    "status_code": 100,
    "status_description": "Payment process successful",
    "data": {
        "sipay_status": 1,
        "order_no": "VP17743519948303411",
        "order_id": "VP17743519948303411",
        "invoice_id": "recurringdeneme-2345wd425456",
        "sipay_payment_method": 1,
        "credit_card_no": "540667****5403",
        "transaction_type": "Auth",
        "payment_status": 1,
        "payment_method": 1,
        "error_code": 100,
        "error": "",
        "auth_code": "P38633",
        "merchant_commission": 0.1,
        "user_commission": 0,
        "merchant_commission_percentage": 2,
        "merchant_commission_fixed": 0,
        "installment": 1,
        "amount": 5,
        "payment_reason_code": "",
        "payment_reason_code_detail": "",
        "hash_key": "f892db768f25b142:dc6b:UfN1yvRoaWKyWdOesEcu8qOhNHIHREBFjX9s2__YC3fiYlhxTcVIADREIUQsYXZluSNe2uXUhg5DajKKjGEzU4g==",
        "original_bank_error_code": "",
        "original_bank_error_description": "",
        "host_reference_id": "608300452783"
    }
}
Modified at 2026-03-24 10:56:09
Previous
Non-Secure Credit Card Payment
Next
Non-Secure Insurance Payment
Built with